### Method

# Gtk Snapshot append_conic_gradient

#### Declaration [src]

    void
    gtk_snapshot_append_conic_gradient (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float rotation,
      const GskColorStop* stops,
      gsize n_stops
    )

#### Description [src]

Appends a conic gradient node with the given stops to `snapshot`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| The rectangle to render the gradient into.
| The data is owned by the caller of the function.
`center` | `const graphene_point_t*`
| The center point of the conic gradient.
| The data is owned by the caller of the function.
`rotation` | `float`
| The clockwise rotation in degrees of the starting angle. 0 means the starting angle is the top.
`stops` | An array of `GskColorStop`
| A pointer to an array of `GskColorStop` defining the gradient.
| The length of the array is specified in the `n_stops` argument.
| The data is owned by the caller of the function.
`n_stops` | `gsize`
| The number of elements in `stops`.